Bug 174170 - graphics/bmeps: Update to version 2.2.26
graphics/bmeps: Update to version 2.2.26
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: araujo
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-05 18:10 UTC by tkato432
Modified: 2013-01-21 03:45 UTC (History)
0 users

See Also:


Attachments
file.diff (3.41 KB, patch)
2012-12-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2012-12-05 18:10:04 UTC
- Update to version 2.2.26

Remove file:
pkg-plist
Comment 1 araujo freebsd_committer 2012-12-11 11:14:34 UTC
Responsible Changed
From-To: freebsd-ports-bugs->araujo

I'll take it.
Comment 2 dfilter freebsd_committer 2013-01-21 03:36:06 UTC
Author: araujo
Date: Mon Jan 21 03:35:52 2013
New Revision: 310742
URL: http://svnweb.freebsd.org/changeset/ports/310742

Log:
  - Update to 2.2.26.
  - Trim header.
  
  PR:		ports/174170
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/graphics/bmeps/pkg-plist
Modified:
  head/graphics/bmeps/Makefile   (contents, props changed)
  head/graphics/bmeps/distinfo   (contents, props changed)

Modified: head/graphics/bmeps/Makefile
==============================================================================
--- head/graphics/bmeps/Makefile	Mon Jan 21 03:35:02 2013	(r310741)
+++ head/graphics/bmeps/Makefile	Mon Jan 21 03:35:52 2013	(r310742)
@@ -1,12 +1,8 @@
-# New ports collection makefile for:	bmeps
-# Date created:				6 Jan 2004
-# Whom:					Hideyuki KURASHINA <rushani@FreeBSD.org>
-#
+# Created by: Hideyuki KURASHINA <rushani@FreeBSD.org>
 # $FreeBSD$
-#
 
 PORTNAME=	bmeps
-PORTVERSION=	2.2.24
+PORTVERSION=	2.2.26
 CATEGORIES=	graphics perl5
 MASTER_SITES=	SF/dktools/dktools/dktools-${PORTVERSION}
 DISTNAME=	dktools-${PORTVERSION}
@@ -18,32 +14,46 @@ LICENSE=	BSD
 LICENSE_FILE=	${WRKSRC}/bsdlic.txt
 
 LIB_DEPENDS=	jpeg:${PORTSDIR}/graphics/jpeg \
-		netpbm:${PORTSDIR}/graphics/netpbm \
-		png15:${PORTSDIR}/graphics/png
+		png15:${PORTSDIR}/graphics/png \
+		tiff:${PORTSDIR}/graphics/tiff
 
 USE_ZIP=	yes
 USE_PERL5=	yes
 GNU_CONFIGURE=	yes
-
-MAKE_ARGS=	bmeps
-MAKE_JOBS_UNSAFE=yes
-
-CFLAGS+=	-I${PREFIX}/include
-LDFLAGS+=	-L${PREFIX}/lib
-
+CONFIGURE_ENV=	ac_cv_header_sys_termios_h=no
 CONFIGURE_ARGS=	--sysconfdir=${PREFIX}/etc/dktools\
-		--with-lzw\
 		--libdir=${PREFIX}/lib\
-		--includedir=${PREFIX}/include
+		--includedir=${PREFIX}/include\
+		--without-perl\
+		--with-lzw
+ALL_TARGET=	stc ${PORTNAME}
+MAKE_JOBS_SAFE=	yes
+
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib
 
 MAN1=		bmeps.1
+PLIST_FILES=	bin/bmeps \
+		%%DATADIR%%/bmeps.str \
+		%%DATADIR%%/bmeps.stt.bz2 \
+		%%DATADIR%%/bmeps.txt \
+		%%DATADIR%%/de/bmeps.stt.bz2 \
+		%%DATADIR%%/de/bmeps.txt
+PLIST_DIRS=	%%DATADIR%%/de \
+		%%DATADIR%%
+
+post-build:
+	@(cd ${WRKSRC} && ./stc --/log/stderr/level=error \
+		--log/stdout/level=none --/log/file/keep=none \
+		bmeps.str share/dktools)
 
 do-install:
-	@${MKDIR}		${DATADIR}
-	@${INSTALL_PROGRAM}	${WRKSRC}/bmeps					${PREFIX}/bin
-	@${INSTALL_MAN}		${WRKSRC}/man/man1/bmeps.1			${MANPREFIX}/man/man1
-	@${INSTALL_DATA}	${WRKSRC}/bmeps.str				${DATADIR}
-	@${INSTALL_DATA}	${WRKSRC}/share/dktools/en/bmeps.stt.bz2	${DATADIR}
-	@${INSTALL_DATA}	${WRKSRC}/share/dktools/en/bmeps.txt		${DATADIR}
+	(cd ${WRKSRC} && ${INSTALL_PROGRAM} bmeps ${PREFIX}/bin)
+	(cd ${WRKSRC}/man/man1 && ${INSTALL_MAN} bmeps.1 ${MANPREFIX}/man/man1)
+	@${MKDIR} ${DATADIR}
+	(cd ${WRKSRC} && ${INSTALL_DATA} bmeps.str ${DATADIR})
+	(cd ${WRKSRC}/share/dktools/en && ${INSTALL_DATA} bmeps.* ${DATADIR})
+	@${MKDIR} ${DATADIR}/de
+	(cd ${WRKSRC}/share/dktools/de && ${INSTALL_DATA} bmeps.* ${DATADIR}/de)
 
 .include <bsd.port.mk>

Modified: head/graphics/bmeps/distinfo
==============================================================================
--- head/graphics/bmeps/distinfo	Mon Jan 21 03:35:02 2013	(r310741)
+++ head/graphics/bmeps/distinfo	Mon Jan 21 03:35:52 2013	(r310742)
@@ -1,2 +1,2 @@
-SHA256 (dktools-2.2.24.zip) = e72df91857737032fa9359411e74ebcda2a71b19e7cc583e8052768c5d4e3bcb
-SIZE (dktools-2.2.24.zip) = 5811240
+SHA256 (dktools-2.2.26.zip) = f618f1b663f777c57ba5b3b9370a9103a77b91acb5c804764afe2f47cce29aab
+SIZE (dktools-2.2.26.zip) = 5813528
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 araujo freebsd_committer 2013-01-21 03:45:37 UTC
State Changed
From-To: open->closed

Committed. Thanks!